
From: Jesper Juhl <juhl-lkml@dif.dk>

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/cpufreq/powernow-k7.c |    4 +---
 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c        |    3 +--
 25-akpm/arch/i386/kernel/io_apic.c                 |    6 ++----
 3 files changed, 4 insertions(+), 9 deletions(-)

diff -puN arch/i386/kernel/cpu/cpufreq/powernow-k7.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386 arch/i386/kernel/cpu/cpufreq/powernow-k7.c
--- 25/arch/i386/kernel/cpu/cpufreq/powernow-k7.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386	2005-03-19 16:06:01.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/cpufreq/powernow-k7.c	2005-03-19 16:06:01.000000000 -0800
@@ -643,9 +643,7 @@ static int powernow_cpu_exit (struct cpu
 	}
 #endif
 
-	if (powernow_table)
-		kfree(powernow_table);
-
+	kfree(powernow_table);
 	return 0;
 }
 
diff -puN arch/i386/kernel/cpu/mtrr/generic.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386 arch/i386/kernel/cpu/mtrr/generic.c
--- 25/arch/i386/kernel/cpu/mtrr/generic.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386	2005-03-19 16:06:01.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c	2005-03-19 16:06:01.000000000 -0800
@@ -70,8 +70,7 @@ void __init get_mtrr_state(void)
 /*  Free resources associated with a struct mtrr_state  */
 void __init finalize_mtrr_state(void)
 {
-	if (mtrr_state.var_ranges)
-		kfree(mtrr_state.var_ranges);
+	kfree(mtrr_state.var_ranges);
 	mtrr_state.var_ranges = NULL;
 }
 
diff -puN arch/i386/kernel/io_apic.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386 arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~get-rid-of-redundant-null-checks-before-kfree-in-arch-i386	2005-03-19 16:06:01.000000000 -0800
+++ 25-akpm/arch/i386/kernel/io_apic.c	2005-03-19 16:06:01.000000000 -0800
@@ -632,10 +632,8 @@ static int __init balanced_irq_init(void
 		printk(KERN_ERR "balanced_irq_init: failed to spawn balanced_irq");
 failed:
 	for (i = 0; i < NR_CPUS; i++) {
-		if(irq_cpu_data[i].irq_delta)
-			kfree(irq_cpu_data[i].irq_delta);
-		if(irq_cpu_data[i].last_irq)
-			kfree(irq_cpu_data[i].last_irq);
+		kfree(irq_cpu_data[i].irq_delta);
+		kfree(irq_cpu_data[i].last_irq);
 	}
 	return 0;
 }
_
